local E, L = unpack(select(2, ...)) -- Engine, Locale
local CO = E:LoadModules("Config")

CO.ClusteredUnits = {"arena", "party", "raid", "boss"}

-- Key is simplified display Name on creation
CO.Template_Cluster = {
	["displayName"] = "",
	["maxPerRow"] = 1,
	["maxWraps"] = 5,
	["gapX"] = 0,
	["gapY"] = 0,
	["directionHorizontal"] = "+",
	["directionVertical"] = "-",
	["visibilityCondition"] = "1"
}

CO.Template_Font = {
	["textFormat"] = "[health-formatted][newline][health-pct]",
	["position"] = "LEFT",
	["fontHeight"] = 11,
	["enable"] = true,
	["fontShadowColor"] = {0,0,0,1},
	["xFontShadowOffset"] = 1,
	["yFontShadowOffset"] = 1,
	["yOffset"] = 0,
	["fontType"] = "Walkway Black",
	["xOffset"] = 10,
	["fontFlags"] = "",
	["width"] = 0,
	["horizontalAlign"] = "LEFT",
	["fontColor"] = {1, 0.84, 0, 1},
}

-- Key is simplified display Name on creation
CO.Template_UF = {
	["UFInfo"] = {
		["unit"] = "",
		["displayName"] = "",
		["displayOrder"] = 1,
		["cluster"] = {
			["size"] = 1,
			["clusterName"] = "",
		},
	},
	["enable"] = true,
	["fonts"] = {
		["health"] = {
			["textFormat"] = "[health-formatted][newline][health-pct]",
			["position"] = "LEFT",
			["fontHeight"] = 11,
			["enable"] = true,
			["fontShadowColor"] = {0,0,0,1},
			["xFontShadowOffset"] = 1,
			["yFontShadowOffset"] = 1,
			["yOffset"] = 0,
			["fontType"] = "Walkway Black",
			["xOffset"] = 10,
			["fontFlags"] = "",
			["width"] = 0,
			["horizontalAlign"] = "LEFT",
			["fontColor"] = {1, 0.84, 0, 1},
		},
		["power"] = {
			["textFormat"] = "[power][newline][power-pct]",
			["fontType"] = "Walkway Black",
			["fontHeight"] = 11,
			["position"] = "RIGHT",
			["enable"] = true,
			["fontFlags"] = "",
			["fontShadowColor"] = {0,0,0,1},
			["xFontShadowOffset"] = 1,
			["yFontShadowOffset"] = 1,
			["xOffset"] = -10,
			["yOffset"] = 0,
			["width"] = 0,
		},
		["name"] = {
			["textFormat"] = "[name]",
			["position"] = "CENTER",
			["enable"] = true,
			["fontShadowColor"] = {0,0,0,1},
			["xFontShadowOffset"] = 1,
			["xOffset"] = 0,
			["yOffset"] = 0,
			["fontHeight"] = 14,
			["fontType"] = "Walkway Black",
			["yFontShadowOffset"] = -1,
			["fontFlags"] = "OUTLINE",
			["width"] = 85,
		},
		["level"] = {
			["textFormat"] = "[level]",
			["fontHeight"] = 11,
			["position"] = "LEFT",
			["enable"] = false,
			["fontFlags"] = "",
			["fontType"] = "Walkway Black",
			["fontShadowColor"] = {0,0,0,1},
			["xFontShadowOffset"] = 1,
			["yFontShadowOffset"] = 1,
			["xOffset"] = -20,
			["yOffset"] = 0,
			["doNotShowOnMaxLevel"] = true,
			["width"] = 0,
			["fontColor"] = {1, 0.84, 0, 1},
		},
	},
	["auras"] = {
		["enable"]			= true,
		["numSlots"] 		= 5,
		["gap"] 			= 1,
		["size"] 			= 32,
		["maxPerRow"] 		= 5,
		["growthDirectionX"]= "RIGHT",
		["growthDirectionY"]= "UP",
		["debuffsFirst"] 	= true,
		["onlyFromTypeFriendly"] 	= "",
		["onlyFromTypeEnemy"] 	= "",
		["position"] 		= "LEFT",
		["relativePosition"]= "RIGHT",
		["offsetX"]= 2,
		["offsetY"]= 0,
	},
	["portrait"] = {
		["enable"] = true,
		["alpha"] = 0.25,
		["zoom"] = 1,
		["camDistanceScale"] = 1.4,
		["rotation"] = -0.2,
	},
	["power"] = {
		["barWidth"] = 180,
		["barHeight"] = 8,
		["barXOffset"] = 0,
		["barYOffset"] = -8,
		["barPosition"] = "BOTTOM",
		["barBackgroundColor"] = {0.1, 0.1, 0.1, 0.9},
		["barBorderColor"] = {0, 0, 0, 1},
		["barInverseFill"] = false,
		["barOrientation"] = "HORIZONTAL",
		["barSmooth"] = true,
	},
	["castbar"] = {
		["enable"] = true,
		["enableIcon"] = true,
		["barInverseFill"] = false,
		["barOrientation"] = "HORIZONTAL",
		["barBorderSize"] = 1,
		["barBorderColor"] = {0, 0, 0, 1},
		["barPosition"] = "RIGHT",
		["barOffsetX"] = 0,
		["barOffsetY"] = 0,
		["iconPosition"] = "LEFT",
		["iconSize"] = 23,
		["iconOffsetX"] = 0,
		["iconOffsetY"] = 0,
		["width"] = 200,
		["height"] = 25,
		["sparkWidth"] = 32,
		["sparkHeight"] = 55,
		["attachToUnitframe"] = true,
		["fonts"] = {
			["name"] = {
				["fontHeight"] = 12,
				["position"] = "LEFT",
				["enable"] = true,
				["fontFlags"] = "",
				["fontType"] = "Walkway Black",
				["fontShadowColor"] = {0,0,0,1},
				["xFontShadowOffset"] = 1,
				["yFontShadowOffset"] = 1,
				["xOffset"] = 10,
				["yOffset"] = 0,
				["width"] = 0,
				["fontColor"] = {1, 0.84, 0, 1},
			},
			["time"] = {
				["fontHeight"] = 12,
				["position"] = "RIGHT",
				["enable"] = true,
				["fontFlags"] = "",
				["fontType"] = "Walkway Black",
				["fontShadowColor"] = {0,0,0,1},
				["xFontShadowOffset"] = 1,
				["yFontShadowOffset"] = 1,
				["xOffset"] = -10,
				["yOffset"] = 0,
				["width"] = 0,
				["fontColor"] = {1, 0.84, 0, 1},
			},
		},
	},
	["health"] = {
		["barBackgroundColor"] = {0.1, 0.1, 0.1, 0.9},
		["barBorderColor"] = {0, 0, 0, 1},
		["width"] = 180,
		["height"] = 40,
		["barInverseFill"] = false,
		["barOrientation"] = "HORIZONTAL",
		["barSmooth"] = true,
		["absorbTextureSizeMultiplier"] = 7,
		["enableAbsorb"] = true,
		["absorbUseStripes"] = true,
		["absorbBorderColor"] = {0, 0.5, 0.5, 1},
		["absorbTextureColor"] = {0, 0.5, 0.5, 1},
	},
}